devguard
RisksFrom templates

Create risks from the template catalogue.

POST
/risks/from-templates/

Authorization

Authorization
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/risks/from-templates/" \  -H "Content-Type: application/json" \  -d '{    "organizationId": "string",    "templateIds": [      "string"    ],    "ownerId": "string"  }'
[  {    "id": "string",    "shortId": -9007199254740991,    "slug": "string",    "name": "string",    "ownerId": "string",    "description": "string",    "createdAt": "string",    "updatedAt": "string",    "archivedAt": "string",    "organizationId": "string",    "threatClassId": "string",    "vulnerabilityClassId": "string",    "impactDescription": "string",    "initialProbabilityRating": 0,    "initialImpactRating": 0,    "residualProbabilityRating": 0,    "residualImpactRating": 0,    "treatmentType": "UNKNOWN",    "treatmentDescription": "string"  }]

How is this guide?